## org.eclipse.jetty.websocket
Interface WebSocketGenerator

All Known Implementing Classes:
  WebSocketGeneratorD00, WebSocketGeneratorD01

    public interface WebSocketGenerator

WebSocketGenerator.

Method Summary
`void` `addFragment(boolean more, byte opcode, byte[] content, int offset, int length, int maxIdleTime)`
`void` `addFrame(byte opcode, byte[] content, int offset, int length, int maxIdleTime)`
`void` `addFrame(byte opcode, String content, int maxIdleTime)`
`int` `flush()`
`int` `flush(int maxIdleTime)`
`boolean` `isBufferEmpty()`

Method Detail

### flush

    int flush()
              throws IOException

  Throws:
    `IOException`

### isBufferEmpty

    boolean isBufferEmpty()

### addFrame

    void addFrame(byte opcode,
                  String content,
                  int maxIdleTime)
                  throws IOException

  Throws:
    `IOException`

### addFrame

    void addFrame(byte opcode,
                  byte[] content,
                  int offset,
                  int length,
                  int maxIdleTime)
                  throws IOException

  Throws:
    `IOException`

### addFragment

    void addFragment(boolean more,
                     byte opcode,
                     byte[] content,
                     int offset,
                     int length,
                     int maxIdleTime)
                     throws IOException

  Throws:
    `IOException`

### flush

    int flush(int maxIdleTime)
              throws IOException

  Throws:
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.